/***********************************************************************
*                         rOverBoard BBS                               *
*                      ** CONSTANTS (2) **                             *
* Copyright (c) 1987 - 1990 FreeLance Programming. All rights reserved.*
***********************************************************************/

#define MAX_MODEMS  4                 /* Max # of modems in setup file */
#define MAX_AREAS  64                 /* Max # of msg/file areas */

#define NEW_USER           0x0001     /* C_USR->flags Constants  */

#define MISSING            0x01       /* File Hash Rec Flags */
#define EXTENDED_PATH      0x02
#define COMMENT_ENTRY      0x04
#define DELETED            0x08

#define UPLOADS_OK         0x10       /* File Area Type Constants */
#define NO_TOP_20s         0x20
#define ACTIVE_AREA        0x80
#define HIDDEN_UPLOADER    0x08

                                      /* Mail Area Type Constants */
#define MSG_AREA_ACTIVE    0x80
#define SKIP_MSG_AREA      0x20       /* exclude from "check for mail" */
#define FORCE_PRIVATE      0x10
#define TO_ANYBODY         0x0b
#define BBS_LIST_AREA      0x08
#define ALLOW_PRIVATE      0x04
#define TO_SYSOP           0x02
#define TO_ALL             0x01

#define FILE_UPDATE_MASK      0xF0    /* AREA Access Constants */
#define DEFAULT_MSG_ACCESS    0x10
#define CAN_REALLY_ENTER      0x30
#define IS_SUPER_USER         0x80
#define CAN_ACCESS_PRIVATE    0x40
#define CAN_ENTER             0x20
#define CAN_SEE_MSG_AREA      0x10
#define CAN_REALLY_UPLOAD     0x0A
#define CAN_REALLY_DOWNLOAD   0x0C
#define CAN_KILL_IN_AREA      0x09
#define CAN_SEE_FILE_AREA     0x08
#define CAN_DOWNLOAD_IN_AREA  0x04
#define CAN_UPLOAD_IN_AREA    0x02
#define CAN_KILL              0x01
#define DEFAULT_FILE_ACCESS   0x0A
#define MAIL_UPDATE_MASK      0x0F

#define CAN_RENAME         0x8000     /* GENERAL Access Constants  */
#define CAN_DOWNLOAD       0x4000
#define CAN_UPLOAD         0x2000
#define CAN_KILL_FILES     0x1000
#define CAN_USE_LINE1      0x0800
#define CAN_USE_LINE2      0x0400
#define CAN_CHG_CITY       0x0200
#define CAN_CHG_NAME       0x0100
#define CAN_CHG_PSW        0x0080
#define CAN_SEE_STATS      0x0040
#define CAN_ANS_SURVEY     0x0020
#define CAN_USE_CHG_MENU   0x0010
#define CAN_PAGE_SYSOP     0x0008
#define CAN_SEE_USER_LIST  0x0004
#define CAN_USE_FILE_MENU  0x0002
#define CAN_USE_MAIL_MENU  0x0001

#define CAN_POST           0x8000     /* GENERAL Access Constants 2 */
#define CAN_ZAP            0x4000
#define CAN_IMPORT         0x2000
#define CAN_EXPORT         0x1000
#define CAN_DL_ANY_FILE    0x0800
#define CAN_UL_ANY_FILE    0x0400
#define CAN_SEE_ANONYMOUS  0x0200
#define IS_REMOTE_SYSOP    0x0100
#define CAN_DOS_SHELL      0X0080
#define CAN_USE_DOOR_MENU  0X0040
#define CAN_USE_LINE3      0x0008
#define CAN_USE_LINE4      0x0004

#define IS_PRIVATE         0x0001     /* MSG Priv Constants  */
#define IS_RCVD            0x0002
#define NOT_RCVD           0xfffd

